<?php

require(__DIR__ . '/../../config.php');
require_once(__DIR__ . '/lib.php');
global $DB, $PAGE, $OUTPUT;
    $id = required_param('id', PARAM_INT);

    $course = $DB->get_record('course', array('id' => $id), '*', MUST_EXIST);
    require_course_login($course);

    $coursecontext = context_course::instance($course->id);

$event = \mod_iprsmartperiodical\event\course_module_instance_list_viewed::create(array(
    'context' => $modulecontext
));

    $PAGE->set_url('/mod/iprsmart/index.php', array('id' => $id));
    $PAGE->set_title(format_string($course->fullname));
    $PAGE->set_heading(format_string($course->fullname));
    $PAGE->set_context($coursecontext);

    echo $OUTPUT->header();

    $modulenameplural = get_string('modulenameplural', 'mod_iprsmart');
    echo $OUTPUT->heading($modulenameplural);

    \mod_iprsmart\event\course_module_instance_list_viewed::create_from_course($course)->trigger();

    $iprsmarts = get_all_instances_in_course('iprsmart', $course);


    if (empty($iprsmarts)) {
        notice(get_string('nonewmodules', 'mod_iprsmart'), new moodle_url('/course/view.php', array('id' => $course->id)));
    }

    $table = new html_table();
    $table->attributes['class'] = 'generaltable mod_index';

    if ($course->format == 'weeks') {
        $table->head = array(get_string('week'), get_string('name'));
        $table->align = array('center', 'left');
    } else if ($course->format == 'topics') {
        $table->head = array(get_string('topic'), get_string('name'));
        $table->align = array('center', 'left', 'left', 'left');
    } else {
        $table->head = array(get_string('name'));
        $table->align = array('left', 'left', 'left');
    }

    foreach ($iprsmarts as $iprsmart) {
        if (!$iprsmart->visible) {
            $link = html_writer::link(
                new moodle_url('/mod/iprsmart/view.php', array('id' => $iprsmart->coursemodule)),
                format_string($iprsmart->name, true),
                array('class' => 'dimmed'));
        } else {
            $link = html_writer::link(
                new moodle_url('/mod/iprsmart/view.php', array('id' => $iprsmart->coursemodule)),
                format_string($iprsmart->name, true));
        }
        if ($course->format == 'weeks' or $course->format == 'topics') {
            $table->data[] = array($iprsmart->section, $link);
        } else {
            $table->data[] = array($link);
        }
    }
    echo html_writer::table($table);
    echo $OUTPUT->footer();


